# Function measurementOrPercentValue

- measurementOrPercentValue(val):
  | number
  | `${number}mm`
  | `${number}cm`
  | `${number}in`
  | `${number}pt`
  | `${number}pc`
  | `${number}pi`
  | `-${number}mm`
  | `-${number}cm`
  | `-${number}in`
  | `-${number}pt`
  | `-${number}pc`
  | `-${number}pi`
  | `${number}%`
  | `-${number}%`

- #### Parameters

  - val:
    | number
    | `${number}mm`
    | `${number}cm`
    | `${number}in`
    | `${number}pt`
    | `${number}pc`
    | `${number}pi`
    | `-${number}mm`
    | `-${number}cm`
    | `-${number}in`
    | `-${number}pt`
    | `-${number}pc`
    | `-${number}pi`
    | `${number}%`
    | `-${number}%`

  #### Returns
  | number
  | `${number}mm`
  | `${number}cm`
  | `${number}in`
  | `${number}pt`
  | `${number}pc`
  | `${number}pi`
  | `-${number}mm`
  | `-${number}cm`
  | `-${number}in`
  | `-${number}pt`
  | `-${number}pc`
  | `-${number}pi`
  | `${number}%`
  | `-${number}%`

  - Defined in util/values.ts:179